#### PyKDE - Python Bindings for KDE

# class TDEToggleFullScreenAction |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | TDEToggleFullScreenAction
Inherits | TDEToggleAction

### methods

- TDEToggleFullScreenAction (cut, slot, parent, window, name)

  returns a TDEToggleFullScreenAction instance
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  cut | TDEShortcut |
  slot | SLOT (Python callable) |
  parent | TQObject |
  window | TQWidget |
  name | char |

- eventFilter (o, e)

  returns (bool)
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  o | TQObject |
  e | TQEvent |

- setChecked (a0)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  a0 | bool |

- setWindow (window)

  returns nothing
  In versions KDE 3.2.0 and above only
  Argument | Type | Default
  --- | --- | ---
  window | TQWidget |